libcom_err-devel-1.44.2-0.fc28.i686.rpm


Advertisement

Description

libcom_err-devel - Common error description library

Property Value
Distribution Fedora 28
Repository Fedora Updates i386
Package filename libcom_err-devel-1.44.2-0.fc28.i686.rpm
Package name libcom_err-devel
Package version 1.44.2
Package release 0.fc28
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://e2fsprogs.sourceforge.net/
License MIT
Maintainer -
Download size 36.73 KB
Installed size 16.68 KB
This is the common error description development library and headers,
part of e2fsprogs.  It contains the compile_et command, used
to convert a table listing error-code names and associated messages
messages into a C source file suitable for use with the library.
libcom_err is an attempt to present a common error-handling mechanism.

Alternatives

Package Version Architecture Repository
libcom_err-devel-1.44.2-0.fc28.i686.rpm 1.44.2 i686 Fedora Updates
libcom_err-devel-1.44.2-0.fc28.x86_64.rpm 1.44.2 x86_64 Fedora Updates
libcom_err-devel-1.43.8-2.fc28.i686.rpm 1.43.8 i686 Fedora
libcom_err-devel-1.43.8-2.fc28.i686.rpm 1.43.8 i686 Fedora
libcom_err-devel-1.43.8-2.fc28.x86_64.rpm 1.43.8 x86_64 Fedora
libcom_err-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libcom_err(x86-32) = 1.44.2-0.fc28
libcom_err.so.2 -
pkgconfig -

Provides

Name Value
libcom_err-devel = 1.44.2-0.fc28
libcom_err-devel(x86-32) = 1.44.2-0.fc28
pkgconfig(com_err) = 1.44.2

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package libcom_err-devel-1.44.2-0.fc28.i686.rpm
Source Package e2fsprogs-1.44.2-0.fc28.src.rpm

Install Howto

Install libcom_err-devel rpm package:

# dnf install libcom_err-devel

Files

Path
/usr/bin/compile_et
/usr/include/com_err.h
/usr/include/et/com_err.h
/usr/lib/libcom_err.so
/usr/lib/pkgconfig/com_err.pc
/usr/share/et/et_c.awk
/usr/share/et/et_h.awk
/usr/share/man/man1/compile_et.1.gz
/usr/share/man/man3/com_err.3.gz

Changelog

2018-04-04 - Lukas Czerner <lczerner@redhat.com> 1.44.1-1
- New upstream release
- tests: use mke2fs and debugfs from the build tree
- remove custom patch to ignose sb feature differences
- e2fsprogs: fix metadata image handling on big endian systems
- fix spelling errors in spec file
- remove custom e2fsck.conf
2018-03-12 - Lukas Czerner <lczerner@redhat.com> 1.44.0-2
- e2fsck: fix endianness problem when reading htree nodes
- use make fullcheck in %check section to run all the tests
2018-03-08 - Lukas Czerner <lczerner@redhat.com> 1.44.0-1
- New upstream release
- Add gcc to the BuildRequires to comply with packaging guidelines
2018-03-05 - Lukas Czerner <lczerner@redhat.com> 1.43.9-1
- New upstream release
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 1.43.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-01-09 - Lukas Czerner <lczerner@redhat.com> 1.43.8-1
- New upstream release
- Fix build failure swapfs.c on big-endian
2017-10-18 - Eric Sandeen <sandeen@redhat.com> 1.43.7-1
- New upstream release
2017-08-30 - Eric Sandeen <sandeen@redhat.com> 1.43.6-1
- New upstream release
2017-08-11 - Kalev Lember <klember@redhat.com> 1.43.5-2
- Bump and rebuild for an rpm signing issue
2017-08-08 - Eric Sandeen <sandeen@redhat.com> 1.43.5-1
- New upstream release

See Also

Package Description
libconfuse-3.2.2-1.fc28.i686.rpm A configuration file parser library
libconfuse-devel-3.2.2-1.fc28.i686.rpm Development files for libconfuse
libcouchbase-2.10.3-1.fc28.i686.rpm Client and protocol library for the Couchbase project
libcouchbase-devel-2.10.3-1.fc28.i686.rpm Couchbase client library - Header files
libcouchbase-libev-2.10.3-1.fc28.i686.rpm Couchbase client library - libev IO back-end
libcouchbase-libevent-2.10.3-1.fc28.i686.rpm Couchbase client library - libevent IO back-end
libcouchbase-libuv-2.10.3-1.fc28.i686.rpm Couchbase client library - libuv IO back-end
libcouchbase-tools-2.10.3-1.fc28.i686.rpm Couchbase client tools
libcurl-7.59.0-10.fc28.i686.rpm A library for getting files from web servers
libcurl-devel-7.59.0-10.fc28.i686.rpm Files needed for building applications with libcurl
libcurl-minimal-7.59.0-10.fc28.i686.rpm Conservatively configured build of libcurl for minimal installations
libdar-2.6.2-1.fc28.i686.rpm Library providing support for the DAR API
libdar-devel-2.6.2-1.fc28.i686.rpm Development files for libdar
libdav1d-0.1.0-1.fc28.i686.rpm Library files for dav1d
libdav1d-devel-0.1.0-1.fc28.i686.rpm Development files for dav1d
Advertisement
Advertisement